%define upstream_name    Mojolicious-Plugin-TemplateToolkit
%define upstream_version 0.005

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Template Toolkit renderer plugin for
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Mojolicious/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Method::Modifiers)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Mojolicious)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Template)
BuildRequires: perl(Template::Provider)
BuildRequires: perl(Test::More)
BuildRequires: perl(parent)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
the Template::Provider::Mojo manpage is a the Template::Provider manpage
subclass that uses a the Mojolicious::Renderer manpage instance to resolve
template names. This means that the Mojolicious::Renderer/"paths" manpage
will be searched for file-based templates, and the
Mojolicious::Renderer/"classes" manpage will be searched for DATA
templates. The 'ENCODING' configuration setting will be initialized to the
Mojolicious::Renderer/"encoding" manpage if unset.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc README Changes LICENSE INSTALL META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Tue Jan 12 2021 guillomovitch <guillomovitch> 0.5.0-1.mga8
+ Revision: 1671296
- imported package perl-Mojolicious-Plugin-TemplateToolkit


* Tue Jan 12 2021 cpan2dist 0.005-1mga
- initial mageia release, generated with cpan2dist
